> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Onboarding Docu Sign Envelope

> Creates a DocuSign envelope for an onboarding document template, stores the PDF, and returns an embedded signing URL.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/create-onboarding-docu-sign-envelope
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/create-onboarding-docu-sign-envelope:
    post:
      operationId: createOnboardingDocuSignEnvelope
      summary: Create Onboarding Docu Sign Envelope
      description: >-
        Creates a DocuSign envelope for an onboarding document template, stores
        the PDF, and returns an embedded signing URL.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOnboardingDocuSignEnvelopeRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateOnboardingDocuSignEnvelopeResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateOnboardingDocuSignEnvelopeRequest:
      type: object
      properties:
        roleInOrgId:
          type: string
          format: uuid
        templateId:
          type: string
          format: uuid
        templateVersionId:
          type: string
          format: uuid
        scopeId:
          type: string
          format: uuid
        editableDriveId:
          type: string
          pattern: ^[A-Za-z0-9_-]{10,200}$
      required:
        - roleInOrgId
        - templateId
    CreateOnboardingDocuSignEnvelopeResponse:
      type: object
      properties:
        documentId:
          type:
            - string
            - 'null'
        envelopeId:
          type: string
        signingUrl:
          type:
            - string
            - 'null'
        status:
          type: string
          enum:
            - CREATED
            - SENT
            - SIGNING_READY
            - ERROR
        templateInstanceId:
          type: string
      required:
        - documentId
        - envelopeId
        - signingUrl
        - status
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
